petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMView

Views a DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMView(DM dm,PetscViewer v)

Collective on DM Many br

### Input Parameter

| dm | - the DM object to view Many br
| v | - the viewer Many br

Many br

### See Also

DMDestroy(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/forest/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex5f90.F.html
src/snes/examples/tutorials/ex5f90t.F.html